#include"rect.h"
#include"bitmap.h"
#include"ezwin.h"
using namespace std;

SimpleWindow w("bloxorz",30.0,30.0,Position(5.0,6.0));

int ApiMain()		
	{w.Open();
	assert(w.GetStatus()==WindowOpen);
	int map[30][30];
	int i,j;
	for (i=0;i<30;i++)
		{for(j=0;j<30;j++)
			{if (i>j)
				{map[i][j]=1;
				}
			else
				{map[i][j]=0;
				}
			}
		}
	
	
	
	
	for(i=0;i<30;i++)
		{for(j=0;j<30;j++)
			{float xcenter,ycenter;
			xcenter=2.0+i*0.5;
			ycenter=2.0+j*0.5;
			if(map[i][j]==0)
				{RectangleShape r(w,xcenter,ycenter,Black,1.0,1.0);		//BLANKS
				r.Draw();
				}
			if(map[i][j]==1)
				{RectangleShape r(w,xcenter,ycenter,Blue,1.0,1.0);		//TILES
				r.Draw();
				}
			if(map[i][j]==2)
				{RectangleShape r(w,xcenter,ycenter,Red,1.0,1.0);			//CURRENT POSITION
				r.Draw();
				}
			if(map[i][j]==3)
				{RectangleShape r(w,xcenter,ycenter,Black,1.0,1.0);		//GOAL
				r.Draw();
				}
			if(map[i][j]==4)
				{RectangleShape r(w,xcenter,ycenter,Yellow,1.0,1.0);		//FRAGILE TILE
				r.Draw();
				}
			}
		}
return 0;
	}
int ApiEnd()
	{w.Close();
	}
