# include<iostream>
# include <assert.h>
# include "bitmap.h"
# include "position.h"
# include <cstring>
# include <cstdio>
char id[8];
char file_name_doc[9];
int symp_comb[5], count = 0;
char doc_name[9][20];
char doc_id[9][20];
char rec_name[2][20];
char rec_id[2][20];
void doc_rec_read();
void home_page();
void get_appt();
void doc_pres();
SimpleWindow hosp("We Care", 20.0, 13.0, Position(8.0, 1.0));
SimpleWindow patient_symptoms("PATIENT SYMPTOMS", 20.0, 13.0, Position(8.0, 1.0));
SimpleWindow List_of_patients("PATIENTS TO BE VIEWED", 15.0, 9.0, Position(1.0,1.0));
SimpleWindow symp("SET APPOINTMENT",20.0, 13.0, Position(8.0, 1.0));
SimpleWindow patient_details("PATIENT DETAILS",20.0,30.0,Position(1.0,1.0));
BitMap euid(hosp);
BitMap cacc(hosp);
BitMap W2bmp(List_of_patients);
BitMap W3bmp(List_of_patients);
BitMap view_patient_profile(List_of_patients);
BitMap edit_patient_profile(List_of_patients);
BitMap comb(patient_symptoms);


int MouseClickEvent(const Position &MousePosition){
	if(euid.IsInside(MousePosition)){
		cin>>id;
		home_page();
		return 0;
		}
	/*else if(cacc.IsInside(MousePosition)){
		Tushar Sinha needs to copy the create account stuff.
		}*/
	else if(comb.IsInside(MousePosition)){
		//patient_symptoms.Close();
		cout<<"Enter 5 symptoms, if it is less than 5 enter 0 for the rest. You can enter only 1 disease from the specialist category"<<endl;
		for(int i=0;i<5;i++){
		    cin>>symp_comb[i];
		    }
		get_appt();
		return 0;
		}
	else if(view_patient_profile.IsInside(MousePosition)){
		char p_uid[12], text[80];
		int length;
		patient_details.Open();
		assert(patient_details.GetStatus() == WindowOpen);
		cout<<"Enter the patient UID"<<endl;
		cin>>p_uid;
		++ count;
		FILE *input_1, *output, *input_2;
		input_2 = fopen(file_name_doc,"r+"); 
		if (input_2 == NULL){
			cout<<"File cannot be opened"<<endl;
			return 0;
			}
		while(!feof(input_2)){
		for(int i=0; i<count; i++){
			fgets(text,80,input_2);
			}
		break;
		}
		if(feof(input_2)){
			count = 0;
			}
		length=strlen(text);
		if (strcmp(text,p_uid) == 0){
			fseek(input_2,(-1*length),SEEK_CUR);
			for(int k=0; k<length ; k++){
					fprintf(input_2," ");
					}
			}
		fclose(input_2);
		p_uid[7]='.';
		p_uid[8]='t';
		p_uid[9]='x';
		p_uid[10]='t';
		p_uid[11]='\0';
		input_1 = fopen(p_uid,"r");
		if (input_1 == NULL){
			patient_details.Message("Invalid Patient ID");
			return 0;
			}
		char line[80];
		int count_star=0;
		Position UpperLeft1 = Position(6.0,2.0);
		Position LowerRight1 = Position(14.0, 3.0);
		fgets(line,80,input_1);
		while(!feof(input_1)){
			if(line[0] != '*' && ((count_star ==1)||(count_star == 3)) ){
				List_of_patients.RenderText(UpperLeft1, LowerRight1, line, Black);
				UpperLeft1 = UpperLeft1 + Position(0.0, 0.5);
				LowerRight1 = LowerRight1 + Position(0.0, 0.5);
			}
			else if(line[0] == '*')
				++ count_star;
			fgets(line,80,input_1);
		}
		fclose(input_1);
		return 0;
		}
	else if(edit_patient_profile.IsInside(MousePosition)){
		//patient_details.Close();
		int count_star=0;
		char p_id[11];
		cout<<"Enter the patient UID"<<endl;
		cin>>p_id;
		p_id[7]='t';
		p_id[8]='x';
		p_id[9]='t';
		p_id[10]='\0';
		FILE *input, *output;
		input = fopen (p_id,"r+");
		output = fopen (p_id,"a");
		char line[80], new_report[80];
		while(!feof(input)){
			fgets(line,80,input);
			if(line[0] == '*'){
				++ count_star;
				if (count_star == 3){
					fseek(input,-1,SEEK_CUR);
					for(int i=0; i<20; i++){
						fprintf(input," ");
						}
					}
				}
			break;
			}
		fclose(input);
		cout<<"Enter the new medical report"<<endl;
		cin>>new_report;
		for(int j=0 ; new_report[j]!='\0'; j++){
			fprintf(output,"%c",new_report[j]);
			}
		fprintf(output,"\n");
		fprintf(output,"*\n");
		fclose(output);
		return 0;
		}
	else
		return 0;
	}
	
int ApiMain(){
	doc_rec_read();
	hosp.Open();
	assert( hosp.GetStatus()==WindowOpen);
	Position WindowCenter = hosp.GetCenter();
	BitMap news_forum(hosp);
       // BitMap hosp3(hosp);
        BitMap hosp_logo(hosp); 
	news_forum.Load("news_forum.xpm");
	assert(news_forum.GetStatus() == BitMapOkay);
	news_forum.SetPosition (Position(10.5,1.5));
	news_forum.Draw();
  	euid.Load("enter_uid.xpm");
	assert(euid.GetStatus() == BitMapOkay);
	euid.SetPosition (Position(1.5,8.2));
	euid.Draw();
	/*hosp3.Load("hosp3.xpm");
	assert(hosp3.GetStatus() == BitMapOkay);
	hosp3.SetPosition(Position(1.5,-1.0));
	hosp3.Draw();*/
	cacc.Load("create_acc.xpm");
	assert(cacc.GetStatus() == BitMapOkay);
	cacc.SetPosition(Position(1.5,4.0));
	cacc.Draw();
	hosp.SetMouseClickCallback(MouseClickEvent);
	return 0;
	}
void home_page(){
	if(id[0] == 'p'){
		FILE *in;
		char p_id1[14];
		p_id1[0]= id[0];
		p_id1[1]= '/';
		p_id1[2]= id[1];
		p_id1[3]= '/';
		p_id1[4]= id[2];
		p_id1[5]= '/';
		p_id1[6]= id[3];
		p_id1[7]= id[4];
		p_id1[8]= id[5];
		p_id1[9]='.';
		p_id1[10]='t';
		p_id1[11]='x';
		p_id1[12]='t';
		p_id1[13]='\0'; 
		in = fopen (p_id1,"r");
		if (in == NULL){
			hosp.Message("ID does not exist");
			exit(0);
		}
		fclose(in);
		patient_symptoms.Open();
		Position WindowCenter2 = patient_symptoms.GetCenter();
		BitMap comb_disease(patient_symptoms);
		comb_disease.Load("symptomps.xpm");
        	assert(comb_disease.GetStatus() == BitMapOkay);
	        comb_disease.SetPosition(Position(2.9,2.0));
		comb_disease.Draw();
                //BitMap hosp3(patient_symptoms);
                BitMap hosp_logo(patient_symptoms);
		comb.Load("comb_symptoms.xpm");
        	assert(comb.GetStatus() == BitMapOkay);
		comb.SetPosition(Position(2.8,10.0));
		comb.Draw();
		/*hosp3.Load("hosp3.xpm");
		assert(hosp3.GetStatus() == BitMapOkay);
		hosp3.SetPosition(Position(1.5,-1.0));
		hosp3.Draw();*/
		hosp_logo.Load("hosp_logo.xpm");
		assert(hosp_logo.GetStatus() == BitMapOkay);
		hosp_logo.SetPosition(Position(4.0,0.0));
		hosp_logo.Draw();
		patient_symptoms.SetMouseClickCallback(MouseClickEvent);
		}
	else if(id[0] == 'r'){
		hosp.Message("It is the Receptionist ID");
		}
	else if(id[0] == 'd'){
		strcpy(file_name_doc, id);
		strcat(file_name_doc,".txt");
		file_name_doc[8]='\0';
		List_of_patients.Open();
		assert(List_of_patients.GetStatus() == WindowOpen);
		/*W2bmp.Load("hosp3.xpm");
		assert(W2bmp.GetStatus() == BitMapOkay);
		W3bmp.Load("hosp_logo.xpm");
		assert(W3bmp.GetStatus() == BitMapOkay);*/
        	W2bmp.SetPosition(Position(1.5,-1.0));
		W2bmp.Draw();
		W3bmp.SetPosition(Position(4.0,0.0));
		W3bmp.Draw();
      		char line[80];
		Position UpperLeft = Position(6.0,2.0);
		Position LowerRight = Position(14.0, 6.0);
		FILE *input;		
		fgets(line,80,input);        
		input = fopen(file_name_doc,"r");
		if ( input == NULL){
			hosp.Message("File cannot be opened");
			}
		while(!feof(input)){
			List_of_patients.RenderText(UpperLeft, LowerRight, line, Black);
			UpperLeft = UpperLeft + Position(0.0, 0.5);
			LowerRight = LowerRight + Position(0.0, 0.5);
			fgets(line,80,input);
			}
		fclose(input);
		//BitMap hosp3(List_of_patients);
		/*hosp3.Load("hosp3.xpm");
		assert(edit_patient_profile.GetStatus() == BitMapOkay);
		hosp3.SetPosition(Position(1.5,-1.0));
		hosp3.Draw();*/
		BitMap hosp_logo(List_of_patients);
		hosp_logo.Load("hosp_logo.xpm");
		assert(hosp_logo.GetStatus() == BitMapOkay);
		hosp_logo.SetPosition(Position(4.0,0.0));
		hosp_logo.Draw();		
		view_patient_profile.Load("view_pat_profile.xpm");
		assert(view_patient_profile.GetStatus() == BitMapOkay);
		view_patient_profile.SetPosition(Position(6.0,4.5));
		view_patient_profile.Draw();
		edit_patient_profile.Load("edit_pat_profile.xpm");
		assert(edit_patient_profile.GetStatus() == BitMapOkay);
		edit_patient_profile.SetPosition(Position(6.0,7.0));
		edit_patient_profile.Draw();
		List_of_patients.SetMouseClickCallback(MouseClickEvent);
		}
	else
		hosp.Message("Inavalid Entry");
	}
	
	void doc_rec_read(){
		FILE *in;
		in = fopen("doc_rec.txt","r");
		if ( in == NULL){
			hosp.Message("File cannot be opened");
			exit(0);
			}
		char line[80];
		int k=0,i,j,c=0;
		fgets(line,80,in);
		while(!feof(in) && k<2) {
			for(i=0;line[i] != ' '; i++){
				rec_id[k][c]=line[i];
				c++;
				}
			c=0;
			for(j=i+1; line[j] != '\0' ; j++){
				rec_name[k][c]=line[j];
				c++;
				}
			c=0;
			fgets(line,80,in);
			k++;
		}
		k=0;
		c=0;
		while(!feof(in) && k<7) {
			for(i=0;line[i] != ' '; i++){
				doc_id[k][c]=line[i];
				c++;
				}
			c=0;
			for(j=i+1; line[j] != '\0' ; j++){
				doc_name[k][c]=line[j];
				c++;
				}
			c=0;
			fgets(line,80,in);
			k++;
			}
		fclose(in);
	}
void get_appt(){
	char d_name[20], line[80];
	FILE *out, *input;
	int num;
	bool general =false;
	bool special = false;
 	for(int i=0;i<=4;i++){ 
  		if((symp_comb[i]<=4) && (symp_comb[i]>0)){
  			general = true;
  		}
 	else if((symp_comb[i]>=5) && (symp_comb[i]<=12)){
		special =true;
  		num=symp_comb[i];
 		}
	}
        symp.Open();
	BitMap doc_specified(symp);
 	BitMap hosp_logo(symp);
	//BitMap hosp3(symp);
	/*hosp3.Load("hosp3.xpm");
	assert(hosp3.GetStatus() == BitMapOkay);
	hosp3.SetPosition(Position(1.5,-1.0));
	hosp3.Draw();*/
	hosp_logo.Load("hosp_logo.xpm");
	assert(hosp_logo.GetStatus() == BitMapOkay);
	hosp_logo.SetPosition(Position(4.0,0.0));
	hosp_logo.Draw();
	doc_specified.Load("doc_specified.xpm");
	assert(doc_specified.GetStatus() == BitMapOkay);
	doc_specified.SetPosition(Position(5.5,2.3));
	doc_specified.Draw();
     	if(general==true){
		strcpy(d_name, doc_name[0]);
		strcat(d_name, " MD\0");
  		symp.RenderText(Position(7.0,5.0),Position(10.0,6.0),d_name,Black);
		int code=rand()%5;
		line [0]=(code+48)+5;
		strcat(line," pm is your appointment time\0");
		symp.RenderText(Position(5.0,7.0),Position(12.0,8),line,Black);
                strcpy (file_name_doc , doc_id[0]);
		strcat (file_name_doc , ".txt");
		input = fopen(file_name_doc,"r+");
		out = fopen(file_name_doc,"a");
		if(out == NULL){
			symp.Message("Doctor ID does not exist");
			}
		if(input == NULL){
			symp.Message("Doctor ID does not exist");
			}
		char c;
		c=fgetc(input);
		if(c == ' '){
			rewind(input);
			for(int i=0; id[i] != '\0'; i++){
				fprintf(input,"%c",id[i]);
				}
			}
			}
		else{
			for(int i=0; id[i] != '\0'; i++){
				fprintf(out,"%c",id[i]);
				}
			fprintf(out,"\n");
			}
		fclose(input);
		fclose(out);
		
	if(special == true){
		strcpy(d_name, doc_name[num-4]);
		strcat(d_name, " SPECIALIST\0");
  		symp.RenderText(Position(7.0,9.0),Position(10.0,10.0),d_name,Black);
		int code;
		if(num>=5&&num<=8){
			code=rand()%5+5;
			line [0]=(code+48)+5;
			strcat(line," pm is your appointment time\0");
			symp.RenderText(Position(3.0,6.9),Position(6.0,7.9),line,Black);
   			}
		else{
			code=rand()%4+8;
			line [0]=(code+48)+5;
			strcat(line," am is your appointment time\0");			
			symp.RenderText(Position(5.0,11.0),Position(12.0,12.0),line,Black);
			}
		strcpy (file_name_doc , doc_id[num-4]);
		strcat (file_name_doc , ".txt");
		input = fopen(file_name_doc,"r+");
		out = fopen(file_name_doc,"a");
		if(out == NULL){
			symp.Message("Doctor ID does not exist");
			}
		if(input == NULL){
			symp.Message("Doctor ID does not exist");
			}
		char c;
		c=fgetc(input);
		if(c == ' '){
			rewind(input);
			for(int i=0; id[i] != '\0'; i++){
				fprintf(input,"%c",id[i]);
				}
			}
		else{
			for(int i=0; id[i] != '\0'; i++){
				fprintf(out,"%c",id[i]);
				}
			fprintf(out,"\n");
			}
		fclose(input);
		fclose(out);
		}
	}
		

  


	
		
		
          

