#include <assert.h>
#include "bitmap.h"

// Define  window
SimpleWindow W1("We Care", 28.0, 13.0, Position(8.0, 1.0));

// Define a bitmap object
BitMap W1Bmp(W1);
BitMap W2bmp(W1);
BitMap W3bmp(W1);
BitMap W4bmp(W1);
int ApiMain() {

	// Open the windows
	W1.Open();
	assert(W1.GetStatus() == WindowOpen);

	
	W1Bmp.Load("hosp_logo.xpm");
	assert(W1Bmp.GetStatus() == BitMapOkay);
        W2bmp.Load("news_forum.xpm");
	assert(W2bmp.GetStatus() == BitMapOkay);
	W3bmp.Load("create_acc.xpm");
	assert(W3bmp.GetStatus() == BitMapOkay);
	W4bmp.Load("enter_uid.xpm");
	assert(W4bmp.GetStatus() == BitMapOkay);	
	// Display the bit maps at a starting position
	W1Bmp.SetPosition(Position(8.0,0.0));
	W1Bmp.Draw();
        W2bmp.SetPosition(Position(18.0,1.5));
	W2bmp.Draw();
	W3bmp.SetPosition(Position(1.0,2.0));
	W3bmp.Draw();
	W4bmp.SetPosition(Position(1.0,8.2));
	W4bmp.Draw();
	return 0;
}

